<!DOCTYPE html>
<html>
    <head>
        <title>Lab 5</title>
        <link rel="stylesheet" href="styles/site.css" type="text/css" />
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>

    <body class="theme-default aui-theme-default">
        <div id="page">
            <div id="main" class="aui-page-panel">
                <div id="main-header">
                   
                </div>

                <div id="content" class="view">
                   
                    <div id="main-content" class="wiki-content group">
                    <h2 id="AWSLab5-Lab5:BatchTransformation">Lab 5: Batch Transformation</h2><p><em>Overview:</em></p><p>Let's put this model to work! In this lab, you will use the AWS console to run a Batch transform job on your model. Batch Transform allows you to get inference, or predictions, on new data. In this exercise, we have received the results of chemical tests on some wines and the vintner would like us to use our model to give each wine a rating.</p><p><em>Roadmap:</em></p><ol><li><p>Open the Lab environment and log in to AWS</p></li><li><p>Navigate to Batch Transform</p></li><li><p>Create a Batch transform job</p></li><li><p>View the predicted ratings</p></li></ol><p><em>Instructions:</em></p><ol><li><p>Open the Lab environment and log in to AWS</p><ol><li><p>Use the provided link to open CloudShare. Click <strong>Microsoft Office Professional Plus 2019 (Windows Server 2019) </strong>at the top of the page. The VM will load and open.</p></li><li><p>Once in the VM open Google Chrome from the taskbar and navigate to <a class="external-link" href="https://aws.amazon.com/" rel="nofollow">https://aws.amazon.com/</a></p></li><li><p>Sign in to the Console using the AWS credentials located under <strong>Public Clouds </strong>on the left sidebar.</p></li></ol></li><li><p>Navigate to the <strong>Amazon SageMaker </strong>dashboard and on the left sidebar, select <strong>Inference</strong> &gt; <strong>Batch transform Jobs</strong>.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2323906571/2324103228.png" data-image-src="attachments/2323906571/2324103228.png" data-height="778" data-width="1718" data-unresolved-comment-count="0" data-linked-resource-id="2324103228" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-194830.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2323906571" data-linked-resource-container-version="1" data-media-id="f6fe938b-52c3-48d0-82e3-cf427a0e388b" data-media-type="file"></span></li><li><p>Select <strong>Create batch transform job</strong></p><ol><li><p>If you see an AccessDeniedException error, simply ignore it.</p></li><li><p>Enter a job name.</p></li><li><p>Select your most recently registered model.</p><span class="confluence-embedded-file-wrapper image-center-wrapper confluence-embedded-manual-size"><img class="confluence-embedded-image image-center" width="462" loading="lazy" src="attachments/2323906571/2324103234.png?width=462" data-image-src="attachments/2323906571/2324103234.png" data-height="412" data-width="822" data-unresolved-comment-count="0" data-linked-resource-id="2324103234" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-194939.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2323906571" data-linked-resource-container-version="1" data-media-id="1f73cd29-6af5-4c45-b8d8-d75710a06906" data-media-type="file"></span></li><li><p>Select instance type: <strong>ml.m5.large</strong> and set the instance count to <strong>1</strong>. Ignore Additional configuration.</p></li><li><p>In the <strong>Input data configuration</strong> box, leave everything as default and click on the <strong>go to Amazon S3</strong> link at the bottom.</p></li><li><p>Choose your Notebook Instance’s S3 Bucket. Note the name will begin with <strong>sagemaker-us-east-1…</strong></p></li><li><p>Open the <strong>wine_data/</strong></p></li><li><p>Open the folder <strong>inference_data_&lt;most recent date&gt;</strong></p></li><li><p>Select the CSV file and click <strong>Copy S3 URI</strong></p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2323906571/2324103240.png" data-image-src="attachments/2323906571/2324103240.png" data-height="652" data-width="1711" data-unresolved-comment-count="0" data-linked-resource-id="2324103240" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-195546.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2323906571" data-linked-resource-container-version="1" data-media-id="fa2412bb-02fe-4975-a1e2-1d8bac3e1251" data-media-type="file"></span></li><li><p>Return to the INput data configuration box and paste this URI under S3 Location</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2323906571/2324103246.png" data-image-src="attachments/2323906571/2324103246.png" data-height="417" data-width="803" data-unresolved-comment-count="0" data-linked-resource-id="2324103246" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-203035.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2323906571" data-linked-resource-container-version="1" data-media-id="4b705566-c1d2-4daa-a602-c3c740bc8aff" data-media-type="file"></span></li><li><p>Under <strong>content type,</strong> write <strong>text/csv</strong>.</p><ol><li><p><strong>NOTE:</strong> The Batch Transform job will fail if this step is skipped.</p></li></ol></li><li><p>In the Output data configuration box</p><ol><li><p>Click the <strong>go to Amazon S3</strong> link at the bottom to find your output location link</p></li><li><p>Select your Notebook Instance S3 bucket again</p></li><li><p>Select the <strong>WineFeatureEng… </strong>folder and select <strong>Copy S3 URI</strong></p></li><li><p>Paste this URI below the S3 output path</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2323906571/2324103252.png" data-image-src="attachments/2323906571/2324103252.png" data-height="289" data-width="804" data-unresolved-comment-count="0" data-linked-resource-id="2324103252" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-200313.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2323906571" data-linked-resource-container-version="1" data-media-id="749c45bf-a92f-4e29-9a7c-94c0572bb8f1" data-media-type="file"></span></li><li><p>Leave the remaining default settings.</p></li></ol></li><li><p>Click <strong>Create Job</strong>. This will take about 5 minutes. Take a quick break and go make some tea until you see a green <span style="color: rgb(0,102,68);">Completed</span>.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2323906571/2324103258.png" data-image-src="attachments/2323906571/2324103258.png" data-height="236" data-width="1402" data-unresolved-comment-count="0" data-linked-resource-id="2324103258" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-203859.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2323906571" data-linked-resource-container-version="1" data-media-id="696f5d1d-a6be-4de0-b49a-8dbd9e387bd7" data-media-type="file"></span></li></ol></li><li><p>View the predicted Ratings</p><ol><li><p>Click on the completed batch name. You’ll see various helpful information regarding the job.</p></li><li><p>Scroll down to <strong>Output data configuration</strong> and select the S3 output path. This will redirect you to the output location in S3.</p></li><li><p>You should now be able to see a new file named <strong>winequality-red-inf-feat.csv.out</strong></p></li><li><p>Click Open:open: or Download on the top right to download the file.</p></li><li><p>Open the downloaded file to explore the wine ratings.</p></li></ol></li></ol><p>Congratulations, you have completed the Introduction to MLOps on AWS labs.</p>
                    </div>
                    
                 
                </div>             </div> 
            <div id="footer" role="contentinfo">
                
            </div>
        </div>     </body>
</html>
